### Function

# Vips Blob profile_load

#### Declaration [src]

    int
    vips_profile_load (
      const char* name,
      VipsBlob** profile,
      ...
    )

#### Description [src]

Load a named profile.

Profiles are loaded from four sources:

- The special name `"none"` means no profile. `profile` will be `NULL` in this case.

- `name` can be the name of one of the ICC profiles embedded in libvips. These names can be at least `"cmyk"`, `"p3"` and `"srgb"`.

- `name` can be the full path to a file.

- `name` can be the name of an ICC profile in the system profile directory for your platform.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  Name of profile to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`profile`

  Type: `VipsBlob`

  Loaded profile.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.